scala.xml.include
class XIncludeException

[source: `scala/xml/include/XIncludeException.scala`]

`` `class` XIncludeException(message : java.lang.String)
  `extends` java.lang.Exception `with` AnyRef

  `XIncludeException` is the generic superclass for all checked exceptions that may be thrown as a result of a violation of XInclude's rules.

  Constructs an `XIncludeException` with the specified detail message. The error message string `message` can later be retrieved by the `{@link java.lang.Throwable#getMessage}` method of class `java.lang.Throwable`.

Parameters
  `message -` the detail message.

Direct Known Subclasses:
  CircularIncludeException, UnavailableResourceException

Additional Constructor Summary
`def` | this : XIncludeException uses `null` as its error detail message.

Method Summary
`def` | getRootCause : java.lang.Throwable When an `IOException`, `MalformedURLException` or other generic exception is thrown while processing an XML document for XIncludes, it is customarily replaced by some form of `XIncludeException`. This method allows you to retrieve the original exception. It returns null if no such exception caused this `XIncludeException`.
`def` | setRootCause (nestedException : java.lang.Throwable) : Unit When an `IOException`, `MalformedURLException` or other generic exception is thrown while processing an XML document for XIncludes, it is customarily replaced by some form of `XIncludeException`. This method allows you to store the original exception.

Methods inherited from java.lang.Throwable
java.lang.Throwable.getMessage, java.lang.Throwable.getLocalizedMessage, java.lang.Throwable.getCause, java.lang.Throwable.initCause, java.lang.Throwable.toString, java.lang.Throwable.printStackTrace, java.lang.Throwable.printStackTrace, java.lang.Throwable.printStackTrace, java.lang.Throwable.fillInStackTrace, java.lang.Throwable.getStackTrace, java.lang.Throwable.setStackTrace

Methods inherited from AnyRef
getClass, hashCode, equals, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Additional Constructor Details

`` `def` this : XIncludeException

  uses `null` as its error detail message.

Overrides
  java.lang.Exception.java.lang.Exception.this

Method Details

`` `def` setRootCause(nestedException : java.lang.Throwable) : Unit

  When an `IOException`, `MalformedURLException` or other generic exception is thrown while processing an XML document for XIncludes, it is customarily replaced by some form of `XIncludeException`. This method allows you to store the original exception.

Parameters
  `nestedException -` the underlying exception which caused the XIncludeException to be thrown

`` `def` getRootCause : java.lang.Throwable

  When an `IOException`, `MalformedURLException` or other generic exception is thrown while processing an XML document for XIncludes, it is customarily replaced by some form of `XIncludeException`. This method allows you to retrieve the original exception. It returns null if no such exception caused this `XIncludeException`.

Returns
  Throwable the underlying exception which caused the `XIncludeException` to be thrown